<?php

namespace App\Http\Middleware;

use Illuminate\Cookie\Middleware\EncryptCookies as BaseEncrypter;

class EncryptCookies extends BaseEncrypter
{
    /**
     * The names of the cookies that should not be encrypted.
     *
     * @var array
     */
    protected $except = [
        'u',
        'send_order_id',
        'from',
        'send_order_continue',
        'send_order_flag',
        'force_subscribe_name',
        'sub_random_num',
        'reader_share_bid',
        'reader_share_cid',
        'force_show_qrcode',
        'cpc_ad_status',
        'crm',
        'crm_flag',
        'is_paid',
        'crm_person_img',
        'crm_person_name',
        'sign_recomand_bids',
        'month_pay_redirect',
        'is_force_out_guide',
        'push_transfer_custom_flag',
        'push_transfer_template_flag',
        'crm_user_id',
        'crm_channel_id'
    ];
}
